mirage-types-lwt

Lwt module type definitions for Mirage-compatible applications
Description

This is a virtual package that pulls in all the concrete dependencies required for the mirage-types.lwt ocamlfind package to become available.

The purpose of this library is to provide concrete types for several that are left abstract in mirage-types:

  • type 'a io = 'a Lwt.t
  • type page_aligned_buffer = Io_page.t
  • type buffer = Cstruct.t
  • type macaddr = Macaddr.t
  • type ipv4addr = Ipaddr.V4.t
Install
Published
09 Aug 2017
Authors
Maintainers
Sources
mirage-3.0.5.tbz
md5=ed9854a99c77aee3bdcdf0915905fd46
Dependencies
mirage-kv-lwt >= "1.0.0" & < "2.0.0"
mirage-fs-lwt >= "1.0.0"
mirage-net-lwt >= "1.0.0" & < "2.0.0"
mirage-stack-lwt >= "1.0.0" & < "1.3.0"
mirage-protocols-lwt >= "1.0.0" & < "1.4.0"
mirage-random >= "1.0.0" & < "2.0.0"
mirage-types >= "3.0.0" & < "3.7.0"
io-page >= "1.4.0"
cstruct >= "1.4.0"
jbuilder >= "1.0+beta10"
Reverse Dependencies
docteur-unix < "0.0.3"
git = "1.4.10" | >= "1.5.0" & < "1.10.0"
mirage-conduit < "1.3.0" | >= "2.3.0" & < "3.1.0"
mirage-qubes >= "0.4" & < "0.7.0"
nbd >= "3.0.0" & < "6.0.0"
protocol-9p = "0.8.0"
qcow >= "0.8.1"
shared-block-ring >= "2.3.0" & < "3.0.0"
tar-format >= "0.4.1" & < "0.5.0" | >= "0.7.1"
tar-mirage < "1.1.0"
vhd-format-lwt < "0.12.1"